liboggz: oggz_stream.h File Reference

liboggz 1.1.1

Functions
oggz_stream.h File Reference

Go to the source code of this file.

## Functions
OggzStreamContent | oggz_stream_get_content (OGGZ *oggz, long serialno)
| Determine the content type of the oggz stream referred to by serialno. More...
const char * | oggz_stream_get_content_type (OGGZ *oggz, long serialno)
| Return human-readable string representation of content type of oggz stream referred to by serialno. More...
int | oggz_stream_get_numheaders (OGGZ *oggz, long serialno)
| Determine the number of headers of the oggz stream referred to by serialno. More...

## Detailed Description

Interfaces for querying Ogg streams

## Function Documentation

## ◆ oggz_stream_get_content()

OggzStreamContent oggz_stream_get_content | ( | OGGZ * | oggz,
|  | long | serialno
| ) |  |

Determine the content type of the oggz stream referred to by serialno.

Parameters

  oggz | An OGGZ handle
  serialno | An ogg stream serialno

Return values

  OGGZ_CONTENT_THEORA..OGGZ_CONTENT_UNKNOWN | content successfully identified
  OGGZ_ERR_BAD_OGGZ | oggz does not refer to an existing OGGZ
  OGGZ_ERR_BAD_SERIALNO | serialno does not refer to an existing stream

## ◆ oggz_stream_get_content_type()

const char* oggz_stream_get_content_type | ( | OGGZ * | oggz,
|  | long | serialno
| ) |  |

Return human-readable string representation of content type of oggz stream referred to by serialno.

Parameters

  oggz | An OGGZ handle
  serialno | An ogg stream serialno

Return values

  string | the name of the content type
  NULL | oggz or serialno invalid

## ◆ oggz_stream_get_numheaders()

int oggz_stream_get_numheaders | ( | OGGZ * | oggz,
|  | long | serialno
| ) |  |

Determine the number of headers of the oggz stream referred to by serialno.

Parameters

  oggz | An OGGZ handle
  serialno | An ogg stream serialno

Return values

  OGGZ_CONTENT_THEORA..OGGZ_CONTENT_UNKNOWN | content successfully identified
  OGGZ_ERR_BAD_OGGZ | oggz does not refer to an existing OGGZ
  OGGZ_ERR_BAD_SERIALNO | serialno does not refer to an existing stream